﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2011.06.30.
 * Idő: 11:49
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;

namespace TetheredSun 
{
	/// <summary>
	/// Description of StringExtensions.
	/// </summary>
	public static class StringExtensions
	{
		private static string Camelise(this string text, bool isPascalCase)
		{
			string camelised = String.Empty;
			bool spaceBefore = false;
			bool uppercase = false;
			bool first = true;
			
			for (int i = 0; i < text.Length; i++) {
				if (Char.IsWhiteSpace(text[i])) {
					spaceBefore = true;
					first = false;
					continue;
				}
				uppercase = (isPascalCase && first) || spaceBefore;
				camelised += uppercase ? Char.ToUpper(text[i]) : text[i];
				spaceBefore = false;
				first = false;
			}
			
			return camelised;
		}
		
		public static string Camelise(this string text)
		{
			return Camelise(text, false);
		}
		
		public static string Pascalise(this string text)
		{
			return Camelise(text, true);
		}
	}
}
