﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2011.06.17.
 * Idő: 11:22
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;
using System.Collections.Generic;

namespace TetheredSun.Mathematics
{
	/// <summary>
	/// Description of ComplexListExtensions.
	/// </summary>
	public static class ComplexListExtensions
	{
		public static double[] Magnitude(this IList<Complex> list)
		{
			double[] magnitudes = new double[list.Count];
			
			for (int i = 0; i < magnitudes.Length; i++) {
				magnitudes[i] = Complex.Abs(list[i]);
			}
			
			return magnitudes;
		}
		
		public static double[] Phase(this IList<Complex> list)
		{
			double[] phases = new double[list.Count];
			
			for (int i = 0; i < phases.Length; i++) {
				phases[i] = list[i].Phase;
			}
			
			return phases;
		}
	}
}
