﻿/*
 * Készítette a SharpDevelop.
 * Felhasználó: phil
 * Dátum: 2011.06.27.
 * Idő: 15:19
 * 
 * A sablon megváltoztatásához használja az Eszközök | Beállítások | Kódolás | Szabvány Fejlécek Szerkesztését.
 */
using System;

namespace TetheredSun.GnuPlot
{
	/// <summary>
	/// Description of PlotType.
	/// </summary>
	public class PlotType : Keyword
	{
		protected int key;
		
		protected PlotType(string text, int key) : base(text)
		{ 
			this.key = key;
		}
		
		public int Key {
			get { return key; }
		}
		
		public static PlotType Lines {
			get { return new PlotType("lines", 0); }
		}
		
		public static PlotType LinesPoints {
			get { return new PlotType("linespoints", 1); }
		}
		
		public static PlotType Points {
			get { return new PlotType("points", 2); }
		}
		
		public static PlotType ErrorBars {
			get { return new PlotType("yerrorlines", 3); }
		}
	}

}
